#//////////////////////////////////////////////////////////////////////////////
#   -- MAGMA (version 0.1) --
#      Univ. of Tennessee, Knoxville
#      Univ. of California, Berkeley
#      Univ. of	Colorado, Denver
#      April 2012
#//////////////////////////////////////////////////////////////////////////////

#
# GPU_TARGET specifies for which GPU you want to compile MAGMA
#      0: NVIDIA Tesla Family
#      1: NVIDIA Fermi Family
#      2: AMD          Family
#      3: Intel MIC    Family
#
GPU_TARGET = 3

CC        = icc -mkl
ICC		  = icc
NVCC      = nvcc
FORT      = gfortran

ARCH      = ar
ARCHFLAGS = cr
RANLIB    = ranlib

OPTS      = -O3 -DHAVE_MIC -DADD_ -g -Wall
FOPTS     = -O3 -DHAVE_MIC -DADD_ -g -Wall -x f95-cpp-input
#NVOPTS    = -DADD_ --compiler-options -fno-strict-aliasing -DUNIX -O3 -g -G
NVOPTS    = -O3 -DHAVE_MIC -DADD_ --compiler-options -fno-strict-aliasing -DUNIX -O3
LDOPTS    = -fPIC -Xlinker -zmuldefs -Wall -DNOCHANGE -DHOST

# to set MKLROOT run: /mnt/scratch/sw/intel/2011.2.137/mkl/bin/mklvars.sh intel64
#MKLROOT   = /mnt/scratch/sw/intel/2011.2.137/composerxe-2011.2.137/mkl
#MKLROOT   = /mnt/scratch/sw/intel/composer_xe_2013.0.079/mkl
#MKLROOT   = /mnt/scratch/sw/intel/composer_xe_2013.1.117/mkl
MKLROOT   = /mnt/scratch/sw/intel/composer_xe_2013.2.146/mkl

LIB       = -lscif -lpthread
#LIB        = -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core -liomp5 -lm -fopenmp
#LIB       += -lclAmdBlas -lOpenCL

CUDADIR   = /mnt/scratch/cuda-4.0.17
GPUBLAS   = /opt/clAmdBlas-1.7.245

LIBDIR    = -L$(MKLROOT)/lib/intel64 \
            -L$(MKLROOT)/../compiler/lib/intel64 
LIBDIRMIC =	-L$(MKLROOT)/lib/mic \
            -L$(MKLROOT)/../compiler/lib/mic 

#            -L$(GPUBLAS)/lib64
#INC       = -I$(GPUBLAS)/include -I/opt/AMDAPP/include

